@ echo off
@echo off
::-----------------------------------------------------------------------::
:: eSupport.com Inc. SureFlash V1.1  Copyright - TouchStone Software
:: Reproduction is prohibted without expressed consent of Touchstone.
::-----------------------------------------------------------------------::

:menu
if exist original.bin goto flashedmenu
cls
echo eSupport.com SureFlash V1.1
echo BIOS Upgrade: 2A4X5H21
echo If this is the first time you are using this disk, please chose 
echo option (1). 
echo Please note, the flash process should take no longer than 4 minutes.
echo If the program freezes up during the process, please refer to the
echo help section.
echo.
echo   1: Backup and Flash New BIOS 
echo   2: Back up original bios
echo   3: Restore original bios
echo   4: Exit
echo   5: Help

choice /c:12345

if errorlevel = 5 goto help
if errorlevel = 4 goto exit
if errorlevel = 3 goto restore
if errorlevel = 2 goto backup
if errorlevel = 1 goto flash

goto menu

:flashedmenu
cls
echo eSupport.com SureFlash V1.1
echo Your backup BIOS is called original.bin
echo BIOS Upgrade: 2A4X5H21
echo.
echo Please note, the flash process should take no longer than 4 minutes.
echo If the program freezes up during the process, please refer to the
echo help section.
echo.
echo   1: Flash New BIOS 
echo   2: Flash New BIOS using QI switch
echo   3: Flash New BIOS using NBL switch
echo   4: Restore original bios
echo   5: Exit
echo   6: Help

choice /c:12345

if errorlevel = 6 goto help
if errorlevel = 5 goto exit
if errorlevel = 4 goto restore
if errorlevel = 3 goto flashnbl
if errorlevel = 2 goto flashqi
if errorlevel = 1 goto flash

goto flashedmenu

::-----------------------------------------------------------------------::
:: Routine: Flash
:: Purpose: Call update.bat. If original.bin already exists call updated
:: with /n otherwise call updated with /y
::-----------------------------------------------------------------------::

:flash

if exist original.bin goto fnb

:fab

BFLASH.EXE 2A4X5H21.bin original.bin /sy /py /cd /cp /cc

goto done

:fnb

BFLASH.EXE 2A4X5H21.bin /sn /py /cd /cp /cc

goto done

::-----------------------------------------------------------------------::
:: Routine: FlashQI
:: Purpose: Call update.bat. If original.bin already exists call updated
:: with /n otherwise call updated with /y
::-----------------------------------------------------------------------::

:flashqi

BFLASH.EXE 2A4X5H21.bin original.bin /sy /py /cd /cp /cc /qi

goto done

::-----------------------------------------------------------------------::
:: Routine: FlashNBL
:: Purpose: Call update.bat. If original.bin already exists call updated
:: with /n otherwise call updated with /y
::-----------------------------------------------------------------------::

:flashnbl

BFLASH.EXE 2A4X5H21.bin original.bin /sy /py /cd /cp /cc /nbl

goto done

::-----------------------------------------------------------------------::
:: Routine: Backup
:: Purpose: 
::-----------------------------------------------------------------------::

:backup

BFLASH.EXE 2A4X5H21.bin original.bin /sy /pn

echo A backup of your original bios has been created 
pause
goto menu

::-----------------------------------------------------------------------::
:: Routine: Restore
:: Purpose: Flash original.bin back on chip
::-----------------------------------------------------------------------::

:restore

BFLASH.EXE ORIGINAL.bin /py /sn /cd /cp /cc

echo Your original bios should now be restored.
goto done

::-----------------------------------------------------------------------::
:: Routine: Help
:: Purpose: Display Help
::-----------------------------------------------------------------------::

:help

call help.bat

echo You will now be returned to the main flash menu.
pause
goto menu

::-----------------------------------------------------------------------::
:: Routine: Exit Message
:: Purpose: Display message
::-----------------------------------------------------------------------::

:done
echo.
echo This BIOS should now be flashed. However, if you saw an error message
echo or something that didn't seem right, please attempt to flash it again
echo read the help file, or flash back to the original BIOS before turning
echo off your computer.
echo.
echo You will now be returned to the main flash menu. 
pause
goto menu


:exit
echo Thank you for choosing eSupport.com!
echo.
echo.
